@echo off
setlocal enableextensions enabledelayedexpansion
title 请支持正版！到官网购买正品以获取最新版和更好地服务  POWER BY 吾爱破解 涛之雨
color 1f
mode con:cols=80 lines=20
cls
set z=0
set /p w=请输入请求码,以回车键结束：
echo 加载中。。。。
        set q=1
:nexti
        if not "%w%"=="" (
                set w_%q%=%w:~0,1%
                call :v !w_%q%!
                set x=!errorlevel!
                set "x=!x!*%q%"
                set /a "z=!x!+!z!"
                set "w=%w:~1%"
                set /a q+=1
        goto :nexti)
echo 请稍后。。
set str=-
for /l %%i in (1,1,4) do (
        call :s !z! %%i
        set x=!errorlevel!
        set m=!m!!x!
        if %%i neq 4   set m=!m!%str%)
echo 请求码算出的校验值为：!m!
ping 127.0.0.1 > nul
echo 任意键退出
pause>nul
exist
:v
        if %1==9 exit /b 57
        if %1==8 exit /b 56
        if %1==7 exit /b 55
        if %1==6 exit /b 54
        if %1==5 exit /b 53
        if %1==4 exit /b 52
        if %1==3 exit /b 51
        if %1==2 exit /b 50
        if %1==1 exit /b 49
        if %1==0 exit /b 48
        if %1==- exit /b 45
exit /b 0
:s
    if %2==1 set l= 27
    if %2==2 set l= 16
    if %2==3 set l= 47
    if %2==4 set l= 34
        set /a tempcode = %1
        set b = 0
        :whilestart
        set /a b = !tempcode!  * 16 / l
        if !b! leq 9999 exit /b !b!
        set /a tempcode = !tempcode! /2
        goto whilestart